Net::DBus::Dumper(3)

NAME
Net::DBus::Dumper - Stringify Net::DBus objects suitable for printing

SYNOPSIS
  use Net::DBus::Dumper;

  use Net::DBus;

  # Dump out info about the bus
  my $bus = Net::DBus->find;
  print dbus_dump($bus);

  # Dump out info about a service
  my $service = $bus->get_service("org.freedesktop.DBus");
  print dbus_dump($service);

  # Dump out info about an object
  my $object = $service->get_object("/org/freedesktop/DBus");
  print dbus_dump($object);

DESCRIPTION
This module serves as a debugging aid, providing a means to stringify a DBus related object in a form suitable for printing out. It can stringify any of the Net::DBus:* objects, generating the following information for each

Net::DBus
    A list of services registered with the bus

Net::DBus::Service =item Net::DBus::RemoteService
    The service name

Net::DBus::Object =item Net::DBus::RemoteObject
    The list of all exported methods, and signals, along with their parameter and return types.

METHODS

my @data = dbus_dump($object);
    Generates a stringified representation of an object. The object passed in as the parameter must be an instance of one of Net::DBus, Net::DBus::RemoteService, Net::DBus::Service, Net::DBus::RemoteObject, Net::DBus::Object. The stringified representation will be returned as a list of strings, with newlines in appropriate places, such that it can be passed string to the "print" method.

BUGS
It should print out a list of object paths registered against a service, but this only currently works for service implemented in Perl

SEE ALSO
Net::DBus, Net::DBus::RemoteService, Net::DBus::Service, Net::DBus::RemoteObject, Net::DBus::Object, Data::Dumper.

COPYRIGHT
Copyright 2005 Daniel Berrange <dan@berrange.com>